Imports System.IO
Public Class 醫師
    Private Sub Set_醫師設定()
        Dim ds2 As New DataSet
        醫師_dgv.DataSource = Nothing : ds2.Clear()
        醫師_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        醫師_dgv.ColumnHeadersHeight = 25 : 醫師_dgv.AllowUserToAddRows = False : 醫師_dgv.ColumnHeadersVisible = False
        醫師_dgv.RowTemplate.Height = 36
        SQL_醫生清單()
        da.Fill(ds2) : 醫師_dgv.DataSource = ds2.Tables(0) : conn.Close()
    End Sub
    Private Sub 醫師_Load(sender As Object, e As EventArgs) Handles MyBase.Load
    End Sub
    Private Sub 醫師_Shown(sender As Object, e As EventArgs) Handles MyBase.Shown
        Set_醫師設定() : Dim Str As String = Application.StartupPath
        If File.Exists(Str + "\SYS-UPDATE.exe") Then : File.Delete(Str + "\SYS-UPDATE.exe") : End If
        If File.Exists(Str + "\LIVE.txt") Then : File.Delete(Str + "\LIVE.txt") : End If
    End Sub
    Private Sub 醫師_dgv_CellContentClick(sender As Object, e As DataGridViewCellEventArgs) Handles 醫師_dgv.CellClick
        If e.RowIndex = -1 Then : Else
            If 非第一次 = False Then
                PA = 醫師_dgv(0, e.RowIndex).Value.ToString : 適應症選擇.Show() : Me.Close()
            Else
                PA = 醫師_dgv(0, e.RowIndex).Value.ToString : Me.Close()
            End If
        End If
    End Sub
End Class